> For the complete documentation index, see [llms.txt](https://docs-old.telematicssdk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-old.telematicssdk.com/sdk-features/tags/trip-tag/android-enriched-tags-for-individual-trips.md).

# Android - Tags for trips

```kotlin
/**
 * Returns track tags.
 *
 * @param trackId  Track id.
 * @throws IllegalStateException if [initialize] never called. See also [isInitialized].
 */
fun getTrackTags(trackId: String): Array<TrackTag>

/**
 * Add track tags. Return tags successfully added (with tag and type only, without source).
 *
 * @param trackId  Track id.
 * @throws IllegalStateException if [initialize] never called. See also [isInitialized].
 */ 
fun addTrackTags(trackId: String, tags: Array<TrackTag>): Array<TrackTag>

/**
 * Remove track tags. Return tags successfully removed (with tag and type only, without source).
 *
 * @param trackId  Track id.
 * @throws IllegalStateException if [initialize] never called. See also [isInitialized].
 */
fun removeTrackTags(trackId: String, tags: Array<TrackTag>): Array<TrackTag>
```

```kotlin
package com.raxeltelematics.v2.sdk.server.model.sdk

class TrackTag(
	/**
	 * Tag name.
	 */
	var tag: String,
	/**
	 * Source. For ex. App module (optional)
	 */
	var source: String? = null
) {

	/**
	 * Source type. Maybe: "Sdk", "UserApp".
	 * ONLY internal set. Readonly for public
	 */
	var type: String? = null
		internal set(value) {
			field = value
		}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-old.telematicssdk.com/sdk-features/tags/trip-tag/android-enriched-tags-for-individual-trips.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
